> For the complete documentation index, see [llms.txt](https://developer.perculus.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.perculus.com/services/participant-management/attandee-delete.md).

# Removing Participants

{% hint style="danger" %}
**Important Note!**\
\
Constructor Groups’ V1 API has been retired and is no longer available to new customers. Please use the Groups V2 API going forward.\
\
Link to V2 API documentation: <https://developer.perculus.com/v2-en>
{% endhint %}

There are three ways to remove a participant from a session:

* ATTENDANCE\_CODE&#x20;
* USER\_ID&#x20;
* EMAIL

Examples:

{% tabs %}
{% tab title="CURL" %}
**With ATTENDANCE\_CODE parameter**

```bash
curl --location --request DELETE 'https://<DOMAIN>/xapi/session/<SESSION_ID>/attendee/<ATTENDANCE_CODE>' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data ''
```

**With USER\_ID parameter**

```bash
curl --location --request DELETE 'https://<DOMAIN>/xapi/session/<SESSION_ID>/attendee/<USER_ID>' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data ''
```

**With EMAIL parameter**

```bash
curl --location --request DELETE 'https://<DOMAIN>/xapi/session/<SESSION_ID>/attendee/<EMAIL>' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data ''
```

{% endtab %}

{% tab title="Python" %}

```python
from perculus_sdk.client import APIClient

# API client
client = APIClient()
...

# Delete the attandee by ATTENDANCE_CODE
client.attendees.delete_by_attendance_code_or_user_id(
    session_id="<SESSION_ID>",
    attendance_code_or_user_id="<ATTENDANCE_CODE>"
)

# Delete the attandee by USER_ID
client.attendees.delete_by_attendance_code_or_user_id(
    session_id="<SESSION_ID>",
    attendance_code_or_user_id="<USER_ID>"
)

# Delete the attandee by EMAIL
client.attendees.delete_by_email(
    session_id="<SESSION_ID>",
    email="<EMAIL>"
)
```

{% endtab %}

{% tab title="C#" %}

```
// ASAP :)
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
import APIClient from "perculus-sdk"

// API client
const client = new APIClient()
...

// Delete the attandee by ATTENDANCE_CODE
client.attendees.deleteAttendee("<SESSION_ID>", "<ATTENDANCE_CODE>")

// Delete the attandee by USER_ID
client.attendees.deleteAttendee("<SESSION_ID>", "<USER_ID>")

// Delete the attandee by EMAIL
client.attendees.deleteAttendee("<SESSION_ID>", "<EMAIL>")
```

{% endtab %}

{% tab title="GO" %}

```
// ASAP :)
```

{% endtab %}
{% endtabs %}
